TechDraw ShowAll: Difference between revisions

From FreeCAD Documentation
mNo edit summary
(Marked this version for translation)
 
(27 intermediate revisions by 7 users not shown)
Line 2: Line 2:
<translate>
<translate>


<!--T:1-->
{{Docnav|[[TechDraw_DecorateLine|DecorateLine]]|[[TechDraw Hatching|Hatching]]|[[TechDraw_Module|TechDraw]]|IconL=techdraw-linedecor.svg|IconC=Workbench_TechDraw.svg|IconR=techdraw-hatch.svg}}
{{Docnav

|[[TechDraw_DecorateLine|DecorateLine]]
|[[TechDraw_WeldSymbol|WeldSymbol]]
|[[TechDraw_Workbench|TechDraw]]
|IconL=TechDraw_DecorateLine.svg
|IconR=TechDraw_WeldSymbol.svg
|IconC=Workbench_TechDraw.svg
}}


<!--T:2-->
{{GuiCommand
{{GuiCommand
|Name=TechDraw ShowAll
|Name=TechDraw ShowAll
|MenuLocation=TechDraw → Add Lines → Show/Hide Invisible Edges
|Icon=techdraw-showall.svg
|Workbenches=[[TechDraw_Workbench|TechDraw]]
|MenuLocation=TechDraw → ShowAll
|Workbenches=[[TechDraw Module|TechDraw]]
|SeeAlso=[[TechDraw DecorateLine]]
|Version=0.19
|Version=0.19
|SeeAlso=[[TechDraw_DecorateLine|TechDraw DecorateLine]]
}}
}}


==Description==
==Description== <!--T:3-->


<!--T:4-->
The ShowAll tool shows or hide invisible lines in a View. Note that "invisible" is a cosmetic state, not to be confused with hidden lines which are geometric constructs.
The '''TechDraw ShowAll''' tool is intended to temporarily show, and then hide, invisible lines in a View. Lines can be made invisible with the [[TechDraw_DecorateLine|TechDraw DecorateLine]] tool. Note that "invisible" is a cosmetic state, not to be confused with hidden lines which are geometric constructs.


==Usage== <!--T:5-->
==How to use==


<!--T:6-->
# Select a View on a Page or in the tree.
# Select a View with invisible lines on a Page or in the [[Tree_view|Tree view]].
# Press the {{Button|[[Image:Techdraw-showall.svg|16px]] [[TechDraw ShowAll|ShowAll]]}} button
# There are several ways to invoke the tool:
# The state of the invisible lines in the View will be reversed.
#* Press the {{Button|[[Image:TechDraw_ShowAll.svg|16px]] [[TechDraw_ShowAll|Show/Hide Invisible Edges]]}} button.
#* Select the {{MenuCommand|TechDraw → Add Lines → [[Image:TechDraw_ShowAll.svg|16px]] Show/Hide Invisible Edges}} option from the menu.
# All invisible lines in the View are either shown or hidden.


==Notes== <!--T:16-->
==Properties==


<!--T:17-->
The ShowAll tool has no properties, as it is not a Document Object.
* To make invisible lines permanently visible use [[Image:TechDraw_DecorateLine.svg|16px]] [[TechDraw_DecorateLine|TechDraw DecorateLine]].


==Scripting==
==Scripting== <!--T:9-->


<!--T:10-->
{{Emphasis|See also:}} [[TechDraw API]] and [[FreeCAD Scripting Basics]].
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:11-->
The effect of the ShowAll tool can be duplicated in [[macros]] or the [[Python]] console.
The effect of the ShowAll tool can be duplicated in [[Macros|macros]] or the [[Python|Python]] console.
</translate>
</translate>
{{Code|code=
{{Code|code=
>>> v = App.ActiveDocument.View
v = App.ActiveDocument.View
>>> vvo = v.ViewObject
vvo = v.ViewObject
>>> vvo.ShowAllEdges = True
vvo.ShowAllEdges = True
>>> App.activeDocument().recompute()
App.ActiveDocument.recompute()
}}
}}
<translate>
<translate>


==Notes==

{{Docnav|[[TechDraw_DecorateLine|DecorateLine]]|[[TechDraw Hatching|Hatching]]|[[TechDraw_Module|TechDraw]]|IconL=Techdraw-linedecor.svg|IconC=Workbench_TechDraw.svg|IconR=techdraw-hatch.svg}}

{{TechDraw Tools navi}}


<!--T:13-->
{{Docnav
|[[TechDraw_DecorateLine|DecorateLine]]
|[[TechDraw_WeldSymbol|WeldSymbol]]
|[[TechDraw_Workbench|TechDraw]]
|IconL=TechDraw_DecorateLine.svg
|IconR=TechDraw_WeldSymbol.svg
|IconC=Workbench_TechDraw.svg
}}


{{Userdocnavi}}
</translate>
</translate>
{{TechDraw Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}
{{clear}}

Latest revision as of 20:08, 26 July 2023

TechDraw ShowAll

Menu location
TechDraw → Add Lines → Show/Hide Invisible Edges
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.19
See also
TechDraw DecorateLine

Description

The TechDraw ShowAll tool is intended to temporarily show, and then hide, invisible lines in a View. Lines can be made invisible with the TechDraw DecorateLine tool. Note that "invisible" is a cosmetic state, not to be confused with hidden lines which are geometric constructs.

Usage

  1. Select a View with invisible lines on a Page or in the Tree view.
  2. There are several ways to invoke the tool:
    • Press the Show/Hide Invisible Edges button.
    • Select the TechDraw → Add Lines → Show/Hide Invisible Edges option from the menu.
  3. All invisible lines in the View are either shown or hidden.

Notes

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

The effect of the ShowAll tool can be duplicated in macros or the Python console.

v = App.ActiveDocument.View
vvo = v.ViewObject
vvo.ShowAllEdges = True
App.ActiveDocument.recompute()